package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.eas.custom.dormitorysystem.application.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class RoomChangeApplication extends HRBillBase implements IRoomChangeApplication
{
    public RoomChangeApplication()
    {
        super();
        registerInterface(IRoomChangeApplication.class, this);
    }
    public RoomChangeApplication(Context ctx)
    {
        super(ctx);
        registerInterface(IRoomChangeApplication.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0CDEF948");
    }
    private RoomChangeApplicationController getController() throws BOSException
    {
        return (RoomChangeApplicationController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public RoomChangeApplicationCollection getRoomChangeApplicationCollection() throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public RoomChangeApplicationCollection getRoomChangeApplicationCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public RoomChangeApplicationCollection getRoomChangeApplicationCollection(String oql) throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public RoomChangeApplicationInfo getRoomChangeApplicationInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public RoomChangeApplicationInfo getRoomChangeApplicationInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public RoomChangeApplicationInfo getRoomChangeApplicationInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *提交生效-User defined method
     *@param billId 单据ID
     */
    public void submitEffect(String billId) throws BOSException, EASBizException
    {
        try {
            getController().submitEffect(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}